Name:           pysdm
Version:        0.4.1
Release:        2%{?dist}
Summary:        Python based Storage Device Manager

Group:          Applications/System
License:        LGPLv2+
URL:            http://pysdm.sourceforge.net
Source0:        http://downloads.sourceforge.net/pysdm/%{name}-%{version}.tar.gz
Patch0:         pysdm-0.4.1-rm_bundled_libs.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires:       python >= 2.4
Requires:       pygtk2
Requires:       tepache
Requires:       beesu
Requires:       gnome-icon-theme-legacy

%description
PySDM is a Storage Device Manager that allows full customization of hard disk
mount points without manually access to fstab. It also allows the creation of
udev rules for dynamic configuration of storage devices


%prep
%setup -q
%patch0 -p1
# Remove bundled files.
rm -f pysdm/tepache.py
rm -f pysdm/SimpleGladeApp.py


%build
%configure
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

# Fedora doesn't use gksudo, use beesu instead.
sed -i -e 's,gksudo,beesu -c,g' %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install                                   \
--remove-key="Encoding"                                \
--remove-category="Application"                        \
--delete-original                                      \
--dir=%{buildroot}%{_datadir}/applications             \
%{buildroot}%{_datadir}/applications/%{name}.desktop     

# pysdm.py is loaded from a script in /usr/bin
chmod 0755 %{buildroot}%{_datadir}/%{name}/%{name}.py


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jun 05 2011 - Richard Shaw <hobbes1069@gmail.com> - 0.4.1-2
- Updated requires for new package: tepache
- Various spec file fixes.

* Sat May 21 2011 - Richard Shaw <hobbes1069@gmail.com> - 0.4.1-1
- Inital release.
